## python-django-object-actions 4.1.0

=== debian/changelog ===
python-django-object-actions (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 14:06:10 +0200

python-django-object-actions (4.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1030055).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Jan 2023 11:32:14 +0000

## python-django-object-actions 4.2.0

=== Makefile ===
PROJECT = ./example_project
MANAGE = $(PROJECT)/manage.py
IMAGE = crccheck/django-object-actions

help: ## Shows this help
	@echo "$$(grep -h '#\{2\}' $(MAKEFILE_LIST) | sed 's/: #\{2\} /	/' | column -t -s '	')"

quickstart: ## Set up a dev environment for the first time
quickstart: resetdb
	python $(MANAGE) createsuperuser
	python $(MANAGE) runserver

dev: ## Run the example project
	@echo Browse at http://localhost:8000/admin/
	PYTHONPATH=. python $(MANAGE) runserver

clean: ## Remove generated files
	rm -rf .coverage
	rm -rf build
	rm -rf dist
	rm -rf *.egg
	rm -rf *.egg-info
	find . -name ".DS_Store" -delete
	find . -type d -name "__pycache__" -exec rm -rf {} \; || true

install: ## Install development dependencies
	poetry install
	pip install Django

tdd: ## Run tests with a file watcher
	PYTHONPATH=. nodemon --ext py -x sh -c "poetry run python -W ignore::RuntimeWarning $(MANAGE) test --failfast django_object_actions || true"

test: ## Run test suite
	PYTHONPATH=. poetry run python -W ignore::RuntimeWarning $(MANAGE) test django_object_actions

coverage: ## Run and then display coverage report
	poetry run coverage erase
	PYTHONPATH=. poetry run coverage run $(MANAGE) test django_object_actions
	poetry run coverage report --show-missing

resetdb: ## Delete and then recreate the dev sqlite database
	python $(MANAGE) reset_db --router=default --noinput
	python $(MANAGE) migrate --noinput
	python $(MANAGE) loaddata sample_data

# DEPRECATED: Docker builds are currently broken and will likely get deleted rather than fixed

docker/build: ## Build a full set of Docker images
docker/build: docker/build/3.1 docker/build/3.0 docker/build/2.2.6 docker/build/2.1.13 docker/build/2.0.13 docker/build/1.11.25 docker/build/1.10.8 docker/build/1.9.13 docker/build/1.8.18

docker/build/%:
	docker build --build-arg DJANGO_VERSION=$* \
	  -t $(IMAGE):$$(echo "$*" | cut -f 1-2 -d.) .

run: run/3.1

run/%:
	docker run --rm -p 8000:8000 -it $(IMAGE):$*

docker/publish: ## Publish Docker images to the hub
	docker push $(IMAGE):3.1
	docker push $(IMAGE):3.0
	docker push $(IMAGE):2.2
	docker push $(IMAGE):2.1
	docker push $(IMAGE):2.0
	docker push $(IMAGE):1.11
	docker push $(IMAGE):1.10
	docker push $(IMAGE):1.9
	docker push $(IMAGE):1.8

test/%:
	docker run --rm -p 8000:8000 -t $(IMAGE):$* make test

bash:
	docker run --rm -it $(IMAGE):3.1 /bin/sh

=== debian/changelog ===
python-django-object-actions (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Sep 2023 13:21:19 +0000

=== debian/control ===
Source: python-django-object-actions
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dj-database-url,
 python3-django,
 python3-django-extensions,
 python3-factory-boy,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-django,
Standards-Version: 4.6.2
Homepage: https://github.com/crccheck/django-object-actions
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git
Rules-Requires-Root: no

Package: python3-django-object-actions
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: object tools for models in the admin (Python3 version)
 Defining new tool actions is just like defining regular admin actions. The
 major difference is the functions for django-object-actions will take an object
 instance instead of a queryset.
 Tool actions are exposed by putting them in a change_actions attribute in your
 admin.ModelAdmin. You can also add tool actions to the main changelist views
 too. There, you'll get a queryset like a regular admin action.
 .
 This package contains the Python 3 version of the library.

## python-django-object-actions 4.3.0

=== debian/changelog ===
python-django-object-actions (4.3.0-1) unstable; urgency=low

  * New upstream version 4.3.0
  * Use dh-sequence-python3.
  * Update year in d/copyright.
  * Bump Standards-Version to 4.7.0.
  * Add patch to fix missing annotations on mock function.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Feb 2025 11:16:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-dj-database-url,
@@ -16,7 +16,7 @@
  python3-poetry-core,
  python3-pytest,
  python3-pytest-django,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/crccheck/django-object-actions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git

## python-django-object-actions 5.0.0

=== Makefile ===
--- 
+++ 
@@ -24,19 +24,23 @@
 	find . -type d -name "__pycache__" -exec rm -rf {} \; || true
 
 install: ## Install development dependencies
-	poetry install
+	pip install -e '.[build,dev]'
 	pip install Django
 
+lint: ## Check the project for lint errors
+	ruff check .
+	ruff format --diff .
+
 tdd: ## Run tests with a file watcher
-	PYTHONPATH=. nodemon --ext py -x sh -c "poetry run python -W ignore::RuntimeWarning $(MANAGE) test --failfast django_object_actions || true"
+	PYTHONPATH=. nodemon --ext py -x sh -c "python -W ignore::RuntimeWarning $(MANAGE) test --failfast django_object_actions || true"
 
 test: ## Run test suite
-	PYTHONPATH=. poetry run python -W ignore::RuntimeWarning $(MANAGE) test django_object_actions
+	PYTHONPATH=. python -W ignore::RuntimeWarning $(MANAGE) test django_object_actions
 
 coverage: ## Run and then display coverage report
-	poetry run coverage erase
-	PYTHONPATH=. poetry run coverage run $(MANAGE) test django_object_actions
-	poetry run coverage report --show-missing
+	coverage erase
+	PYTHONPATH=. coverage run $(MANAGE) test django_object_actions
+	coverage report --show-missing
 
 resetdb: ## Delete and then recreate the dev sqlite database
 	python $(MANAGE) reset_db --router=default --noinput

=== debian/changelog ===
python-django-object-actions (5.0.0-1) unstable; urgency=low

  * New upstream version 5.0.0
  * Refresh patches.
  * Add patch to use automatic discovery of packages to also include tests.
  * Bump Standards-Version to 4.7.2.
  * Add python3-setuptools to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Aug 2025 21:49:57 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  python3-poetry-core,
  python3-pytest,
  python3-pytest-django,
-Standards-Version: 4.7.0
+ python3-setuptools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/crccheck/django-object-actions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-object-actions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-object-actions.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-object-actions
export PYBUILD_TEST_ARGS=--ds=example_project.settings

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-django-object-actions-$1.tar.gz/ \
https://github.com/crccheck/django-object-actions/tags \
/crccheck/django-object-actions/archive/refs/tags/v([\d\.]+)\.tar\.gz
